package Mqtt.config;

import java.util.List;

/**
 *  JSON 数据模型
 */
public class DataMessage {
    public List<Device> devices;

    public static class Device {
        public String deviceId;
        public List<Service> services;
    }

    public static class Service {
        public Data data;
        public String eventTime;
        public String serviceId;
    }

    public static class Data {
        public String station_no;
        public long time;
        public String d_id;
        public java.util.Map<String, Object> d_data;
    }
}
